<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(BASEDIR."memberlist/locale/".$settings['locale'].".php")) {
    include BASEDIR."memberlist/locale/".$settings['locale'].".php";
}
else {
    include BASEDIR."memberlist/locale/English.php";
}

// zaladowanie bilbioteki jquery
echo '<script type="text/javascript" src="'.BASEDIR.'memberlist/js/jquery-1.4.2.min.js"></script>';

// zaladowanie biblioteki UI do jquery
echo '<script type="text/javascript" src="'.BASEDIR.'memberlist/js/jquery-ui-1.8.4.custom.min.js"></script>';

// zaladowanie pliku ze stylami biblioteki UI
echo '<link rel="stylesheet" href="'.BASEDIR.'memberlist/jquery-ui-1.8.4.custom.css" type="text/css" media="all" />';
?>

<!--- stworz tagi oraz ikonki -->
<script type="text/javascript">
    $(function() {
        var availableTags = [
            <?php
                $sql = dbquery("SELECT DISTINCT `user_name` FROM `".DB_USERS."`");
                while($user = dbarray($sql)) {
                    echo "\"".$user['user_name']."\",";
                }
            ?>
        ];
        $("#tags").autocomplete({
            source: availableTags
        });
        $("a.lookup").each(function() {
            $(".lookup").button({
                icons: {
                    primary: 'ui-icon-person'
                },
                text: false
            });
        });
        $("a.pm").each(function() {
            $(".pm").button({
                icons: {
                    primary: 'ui-icon-mail-closed'
                },
                text: false
            });
        });
        $("a.posts").each(function() {
            $(".posts").button({
                icons: {
                    primary: 'ui-icon-comment'
                },
                text: false
            });
        });
    });
</script>

<?php
if(file_exists(BASEDIR."memberlist/install")) {
    opentable($locale['ML_01']);
        echo "<div style='padding: 10px 10px 10px 10px;width: 100%;color: #ff0000;'>\n";
        echo "<center><b>".$locale['ML_02']." memberlist/install.<br />".$locale['ML_03']."</b></center>\n";
        echo "</div>\n";
    closetable();
}

opentable($locale['ML_04']);
    echo "<table cellspacing='0' cellpadding='0' class='tbl-border center' style='width:100%;text-align:right;'>\n";
    echo "<tr>\n<td class='tbl2'>\n";
    echo "<form action='".FUSION_SELF."' method='GET'>";
    echo $locale['ML_51'].": <input type='text' name='user_name' class='textbox' id='tags' /><input type='submit' class='button' style='margin-left:5px;margin-right:15px;' name='search' value='".$locale['ML_06']."' \n";
    echo "</form>";
    echo "</td>\n</tr>\n";
    echo "</table>\n";

    echo "<table cellspacing='1' cellpadding='0' class='tbl-border center' style='width:100%;margin-top:20px;'>\n";
    echo "<tr><td colspan='4' class='tbl1'><h2>"; if(isSet($_GET['search'])) { echo $locale['ML_07']; } else { echo $locale['ML_04']; } echo "</h2></td></tr>\n";
    echo "<tr>\n";
    echo "<td class='tbl2' colspan='2' style='text-align:center;'><b>".$locale['ML_08']."</b></td>\n";
    echo "<td class='tbl2' style='text-align:center;'><b>".$locale['ML_09']."</b></td>\n";
    echo "<td class='tbl2' style='text-align:center;'><b>".$locale['ML_10']."</b></td>\n";
    echo "<td class='tbl2' style='text-align:center;'><b>".$locale['ML_11']."</b></td>\n";
    echo "</tr>\n";
    if(isSet($_GET['rowstart'])) {
        $rowstart = mysql_escape_string($_GET['rowstart']);
    }
    else {
        $rowstart = 0;
    }
    if(isSet($_GET['search'])) {
        $user_name = mysql_escape_string($_GET['user_name']);
        $sql = dbquery("SELECT * FROM `".DB_USERS."` WHERE `user_name` LIKE '%".$user_name."%' ORDER BY `user_joined` DESC LIMIT ".$rowstart.",10");
    }
    else {
        $sql = dbquery("SELECT * FROM `".DB_USERS."` ORDER BY `user_joined` DESC LIMIT ".$rowstart.",10");
    }
    $color = 1;
    while($user = dbarray($sql)) {
        echo "<tr>\n";
        echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'><a href='".BASEDIR."profile.php?lookup=".$user['user_id']."'>".$user['user_name']."</a></td>\n";
        echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "' style='text-align:center;'><a href='".BASEDIR."profile.php?lookup=".$user['user_id']."' class='lookup'>".$locale['ML_12']."</a><a href='".BASEDIR."messages.php?msg_send=".$user['user_id']."' class='pm'>".$locale['ML_13']."</a></td>";
        echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "' style='text-align:center;'>".getuserlevel($user['user_level'])."</td>\n";
        echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "' style='text-align:center;'>"; if(!$user['user_lastvisit']) { echo $locale['ML_14']; } else { echo strftime("%d/%m/%Y %H:%M", $user['user_lastvisit']); } echo "</td>\n";
        echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "' style='text-align:center;'>".strftime("%d/%m/%Y %H:%M", $user['user_joined'])."</td>\n";
        echo "</tr>\n";
        $color++;
    }
    echo "</table>\n";
    if(isSet($_GET['search'])) {
        $count = dbcount("(user_id)", DB_USERS, "`user_name` LIKE '%".$user_name."%'");
        if($count > 10) {
            echo "<div style='width: 100%;text-align: right; margin-top: 20px;'>".makepagenav($rowstart, 10, $count, 3, "?user_name=".$user_name."&search=".$locale['ML_06']."&")."</div>\n";
        }
    }
    else {
        $count = dbcount("(user_id)", DB_USERS);
        if($count > 10) {
            echo "<div style='width: 100%;text-align: right; margin-top: 20px;'>".makepagenav($rowstart, 10, $count, 3)."</div>\n";
        }
    }
closetable();

require_once THEMES."templates/footer.php";
?>