<?php
/*-------------------------------------------------------+
| Filename: install.php
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------*/

require_once "../../maincore.php";

if (file_exists(BASEDIR."memberlist/locale/".$settings['locale'].".php")) {
    include BASEDIR."memberlist/locale/".$settings['locale'].".php";
}
else {
    include BASEDIR."memberlist/locale/English.php";
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl"> 
    <head> 
        <meta http-equiv="Content-Type" content="text/html; CHARSET=UTF-8"/> 
        <title><?php echo $locale['ML_15']; ?></title>
    </head>
    <body>

<?php

// tylko ADMIN moze instalowac
if(iADMIN) {
    // sprawdza dane admina
    if(isSet($_POST['authorization'])) {
        $login = mysql_escape_string($_POST['login_admin']);
        $pass = mysql_escape_string(md5(md5($_POST['pass_admin'])));
        if($pass == $userdata['user_admin_password']) {
            $information = $locale['ML_16'].' <b>'.$userdata['user_name'].'</b>';
            $step = 2;
        }
        else {
            $information = $locale['ML_17'];
            $step = 1;
        }
    }

    // zatwierdza dane admina i przechodzi dalej
    if(isSet($_POST['next'])) {
        $information = $locale['ML_16'].' <b>'.$userdata['user_name'].'</b>';
        $theme = mysql_escape_string($_POST['theme']);
        $step = 3;
    }

    // rezygnacja z instalacji
    if(isSet($_POST['no_install'])) {
        $information = $locale['ML_18'];
        $step = 1;
    }

    // instalacja
    if(isSet($_POST['install'])) {
        // pobiera numer skorki
        $theme = $_POST['theme_selected'];
        // sprawdza czy skroke wybrano/przekazano
        if($theme != NULL) {
            // sprawdza chomdy
            @chmod(BASEDIR."memberlist", 0777);
            if(is_writable(BASEDIR."memberlist")) {
                // sprawdza czy nadipsywalny
                if(is_writable(BASEDIR."memberlist")) {
                    // tworzy katalog
                    @mkdir(BASEDIR."memberlist/js", 0777);
                    // sprawdza czy stworzony katalog istnieje
                    if(file_exists(BASEDIR."memberlist/js")) {
                        // tworzy katalog
                        @mkdir(BASEDIR."memberlist/images", 0777);
                        // sprawdza czy stworzony katalog istnieje
                        if(file_exists(BASEDIR."memberlist/images")) {
                            // sprawdza czy stworzony katalog jest nadpisywalny
                            if(is_writable(BASEDIR."memberlist/images")) {
                                // sprawdza czy stworzony katalog jest nadpisywalny
                                if(is_writable(BASEDIR."memberlist/js")) {
                                    // kopiuje potrzebne pliki oraz nadaje im odpowiednie uprawnienia
                                    // biblioteka jQuery
                                    $copy1 = @copy(BASEDIR."memberlist/install/files/".$theme."/jquery-1.4.2.min.js", BASEDIR."memberlist/js/jquery-1.4.2.min.js");
                                    $chmod1 = @chmod(BASEDIR."memberlist/js/jquery-1.4.2.min.js", 0644);
                                    // biblioteka UI
                                    $copy2 = @copy(BASEDIR."memberlist/install/files/".$theme."/jquery-ui-1.8.4.custom.min.js", BASEDIR."memberlist/js/jquery-ui-1.8.4.custom.min.js");
                                    $chmod2 = @chmod(BASEDIR."memberlist/js/jquery-ui-1.8.4.custom.min.js", 0644);
                                    // style biblioteki UI
                                    $copy3 = @copy(BASEDIR."memberlist/install/files/".$theme."/jquery-ui-1.8.4.custom.css", BASEDIR."memberlist/jquery-ui-1.8.4.custom.css");
                                    $chmod3 = @chmod(BASEDIR."memberlist/jquery-ui-1.8.4.custom.css", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy4 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/background.png", BASEDIR."memberlist/images/background.png");
                                    $chmod4 = @chmod(BASEDIR."memberlist/images/background.png", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy5 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/1.png", BASEDIR."memberlist/images/1.png");
                                    $chmod5 = @chmod(BASEDIR."memberlist/images/1.png", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy6 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/2.png", BASEDIR."memberlist/images/2.png");
                                    $chmod6 = @chmod(BASEDIR."memberlist/images/2.png", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy7 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/3.png", BASEDIR."memberlist/images/3.png");
                                    $chmod7 = @chmod(BASEDIR."memberlist/images/3.png", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy8 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/4.png", BASEDIR."memberlist/images/4.png");
                                    $chmod8 = @chmod(BASEDIR."memberlist/images/4.png", 0644);
                                    // obrazki do styli biblioteki UI
                                    $copy9 = @copy(BASEDIR."memberlist/install/files/".$theme."/images/5.png", BASEDIR."memberlist/images/5.png");
                                    $chmod9 = @chmod(BASEDIR."memberlist/images/5.png", 0644);
                                    // jesli pliki zostaly skopiowane i uprawnienia zostaly im nadane
                                    if(($copy1) && ($copy2) && ($copy3) && ($copy4) && ($copy5) && ($copy6) && ($copy7) && ($copy8) && ($copy9) && ($chmod1) && ($chmod2) && ($chmod3) && ($chmod4) && ($chmod5) && ($chmod6) && ($chmod7) && ($chmod8) && ($chmod9)) {
                                        $information = $locale['ML_19']." <b>".$theme."</b> ".$locale['ML_20'];
                                        $step = 4;
                                    }
                                    // w przeciwnym wypadku
                                    else {
                                        // sprawdza, czy wszystkie pliki zostaly skopiowane
                                        $information = $locale['ML_21']."<br /><br />";
                                        if(!file_exists(BASEDIR."memberlist/js/jquery-1.4.2.min.js")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/jquery-1.4.2.min.js</b> ".$locale['ML_23']." <b>memberlist/js/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/js/jquery-ui-1.8.4.custom.min.js")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/jquery-ui-1.8.4.custom.min.js</b> ".$locale['ML_23']." <b>memberlist/js/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/jquery-ui-1.8.4.custom.css")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/jquery-ui-1.8.4.custom.css</b> ".$locale['ML_23']." <b>memberlist/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/background.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/background.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/1.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/1.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/2.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/2.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/3.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/3.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/4.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/4.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        if(!file_exists(BASEDIR."memberlist/images/5.png")) {
                                            $information .= $locale['ML_22']." <b>memberlist/install/files/".$theme."/images/5.png</b> ".$locale['ML_23']." <b>memberlist/images/</b>.<br />";
                                        }
                                        $information .= $locale['ML_24']."<br /><br />";

                                        // sprawdza czy wszystkie pliki mozna odczytac
                                        if(!is_readable(BASEDIR."memberlist/js/jquery-1.4.2.min.js")) {
                                            $information .= $locale['ML_25']." <b>jquery-1.4.2.min.js</b> ".$locale['ML_26']." <b>memberlist/js/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/js/jquery-ui-1.8.4.custom.min.js")) {
                                            $information .= $locale['ML_25']." <b>jquery-ui-1.8.4.custom.min.js</b> ".$locale['ML_26']." <b>memberlist/js/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/jquery-ui-1.8.4.custom.css")) {
                                            $information .= $locale['ML_25']." <b>jquery-ui-1.8.4.custom.css</b> ".$locale['ML_26']." <b>memberlist/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/images/1.png")) {
                                            $information .= $locale['ML_25']." <b>1.png</b> ".$locale['ML_26']." <b>memberlist/images/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/images/2.png")) {
                                            $information .= $locale['ML_25']." <b>2.png</b> ".$locale['ML_26']." <b>memberlist/images/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/images/3.png")) {
                                            $information .= $locale['ML_25']." <b>3.png</b> ".$locale['ML_26']." <b>memberlist/images/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/images/4.png")) {
                                            $information .= $locale['ML_25']." <b>4.png</b> ".$locale['ML_26']." <b>memberlist/images/</b> ".$locale['ML_27']."<br />";
                                        }
                                        if(!is_readable(BASEDIR."memberlist/images/5.png")) {
                                            $information .= $locale['ML_25']." <b>5.png</b> ".$locale['ML_26']." <b>memberlist/images/</b> ".$locale['ML_27']."<br />";
                                        }
                                        // zwraca komunikat
                                        $information .= $locale['ML_28'];
                                        // krok
                                        $step = 4;
                                    }
                                }
                                // w przeciwnym wypadku
                                else {
                                    $information = $locale['ML_29']." <b>js</b> ".$locale['ML_26']." <b>memberlist</b> ".$locale['ML_27']."<br />";
                                    $information .= $locale['ML_30']." <b>js</b> ".$locale['ML_26']." <b>memberlist</b> CHMOD 777 ".$locale['ML_31'];
                                    // krok
                                    $step = 4;
                                }
                            }
                            // w przeciwnym wypadku
                            else {
                                $information = $locale['ML_29']." <b>images</b> ".$locale['ML_26']." <b>memberlist</b> ".$locale['ML_27']."<br />";
                                $information .= $locale['ML_30']." <b>images</b> ".$locale['ML_26']." <b>memberlist</b> CHMOD 777 ".$locale['ML_31'];
                                // krok
                                $step = 4;
                            }
                        }
                        // w przeciwnym wypadku
                        else {
                            $information = $locale['ML_32']." <b>images</b> ".$locale['ML_26']." <b>memberlist</b>.<br />";
                            $information .= $locale['ML_33'];
                            // krok
                            $step = 4;
                        }
                    }
                    // w przeciwnym wypadku
                    else {
                        $information = $locale['ML_29']." <b>js</b> ".$locale['ML_26']." <b>memberlist</b> ".$locale['ML_34']."<br />";
                        $information .= $locale['ML_35']." <b>js</b> ".$locale['ML_26']." memberlist ".$locale['ML_31'];
                        // krok
                        $step = 4;
                    }
                }
                // w przeciwnym wypadku
                else {
                    $information = $locale['ML_29']." memberlist ".$locale['ML_36']."<br />";
                    $information .= $locale['ML_37'];
                    // krok
                    $step = 4;
                }
            }
            // w przeciwnym wypadku
            else {
                $information = $locale['ML_38']."<br />";
                $information .= $locale['ML_37'];
                // krok
                $step = 4;
            }
        }
        // w przeciwnym wypadku
        else {
            $information = $locale['ML_39'];
            // krok
            $step = 4;
        }
    }

    // jesli nie ustawiono kroku
    if(isSet($step)) {
        $step = $step;
    }
    else {
        $step = 1;
    }

    // jesli ma wyswietlic komunikat
    if(isSet($information)) {
        echo '<div style="width: 800px ; margin: 0 auto; border: 3px #ff0000 solid; border-style: dashed; margin-top: 30px; font-family: Arial; font-size: 12px; padding: 10px 10px 10px 10px;">'.$information.'</div>';
    }

    // krok 1
    if($step == 1) {
        echo '<div style="width: 800px; margin: 0 auto; border: 1px #000000 solid; margin-top: 30px; font-family: Arial; font-size: 12px; padding: 10px 10px 10px 10px;">';
        echo '<form action="#" method="POST">';
        echo $locale['ML_40'];
        echo '<br /><br /><br />';
        echo '<b>'.$locale['ML_41'].'</b><br />';
        echo $locale['ML_42'].': <input type="text" style="padding: 1px 1px 1px 1px;margin-left:20px;" name="login_admin" /><br />';
        echo $locale['ML_43'].': <input type="password" style="padding: 1px 1px 1px 1px;margin-left:18px;" name="pass_admin" /><br />';
        echo '<input type="submit" class="button" style="margin-left: 250px; margin-top: 10px;" name="authorization" value="'.$locale['ML_44'].'" />';
        echo '</form>';
        echo '</div>';
    }
    // krok 2
    elseif($step == 2) {
        echo '<div style="width: 800px; margin: 0 auto; border: 1px #000000 solid; margin-top: 30px; font-family: Arial; font-size: 12px; padding: 10px 10px 10px 10px;">';
        echo $locale['ML_45'].':<br /><br />';
        echo '<form action="#" method="POST">';
        echo '<img src="'.BASEDIR.'memberlist/install/images/1.jpg" /><input type="radio" name="theme" value="1" /><br />';
        echo '<img src="'.BASEDIR.'memberlist/install/images/2.jpg" /><input type="radio" name="theme" value="2" /><br />';
        echo '<img src="'.BASEDIR.'memberlist/install/images/3.jpg" /><input type="radio" name="theme" value="3" /><br />';
        echo '<img src="'.BASEDIR.'memberlist/install/images/4.jpg" /><input type="radio" name="theme" value="4" /><br />';
        echo '<input type="submit" class="button" style="margin-left: 75px; margin-top: 20px;" name="next" value="'.$locale['ML_44'].'" />';
        echo '</form>';
        echo '</div>';
    }
    // krok 3
    elseif($step == 3) {
        echo '<div style="width: 800px; margin: 0 auto; border: 1px #000000 solid; margin-top: 30px; font-family: Arial; font-size: 12px; padding: 10px 10px 10px 10px;">';
        echo $locale['ML_46'].' <b>'.$theme.'</b>, '.$locale['ML_47'].'<br /><br />';
        echo '<form action="#" method="POST">';
        echo '<input type="submit" class="button" style="margin-left: 15px; margin-top: 20px;" name="install" value="'.$locale['ML_49'].'" /> <input type="submit" class="button" style="margin-left: 75px; margin-top: 20px;" name="no_install" value="'.$locale['ML_48'].'" />';
        echo '<input type="hidden" name="theme_selected" value="'.$theme.'" />';
        echo '</form>';
        echo '</div>';
    }
    // krok 4
    elseif($step == 4) {
        // nic nie rob :)
    }
}
// jesli ADMIN nie jest zalogowany
else {
    echo '<div style="width: 800px; margin: 0 auto; border: 1px #000000 solid; margin-top: 30px; font-family: Arial; font-size: 12px; padding: 10px 10px 10px 10px;">';
    echo $locale['ML_50'];
    echo '</div>';
}

?>

    </body>
</html>
